/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

/***************************************************************************
**
**  Name:      AdFmtHex.h
**
**  Description:  This file describe the hexadecimal string class. Deprivde
**                from the class CFormatString.
**                This class process the hex string, convert it to data(number)
**
**  Status: Initialization
**          1996/02/15        Daniel Lin
**
**  Copyright (C) 1996 Microtek International.  All rights reserved.
*****************************************************************************/

#ifndef __ADFMTHEX__H
#define __ADFMTHEX__H

class CFormatHexStr : public CFormatString
{
private:
    CString  m_strOriginHexStr;   // Original string from constructor
    DWORD    m_dwData;            // Converted data(DWORD)

public:
    //Constructor
    CFormatHexStr(CString& str);
    CFormatHexStr(char* lpsz);

    //Implementation
    void Convert();               // Process the convert

    CString  GetHexString()       // return the hex string
    {
        return m_strOriginHexStr;
    };

    DWORD    GetAddress()         // Return the data of the dex string
    {
        return   m_dwData;
    };
};

#endif

//////////////////////////////////(EOF)////////////////////////////////////////
